com.google.cloud.dataflow.sdk.runners.inprocess

## Class StepTransformResult.Builder

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.inprocess.StepTransformResult.Builder

Enclosing class:
  StepTransformResult

    public static class StepTransformResult.Builder
    extends Object

A builder for creating instances of `StepTransformResult`.

### Method Summary

All Methods Instance Methods Concrete Methods
`StepTransformResult.Builder` `addOutput(Collection<InProcessPipelineRunner.UncommittedBundle<?>> outputBundles)`
`StepTransformResult.Builder` `addOutput(InProcessPipelineRunner.UncommittedBundle<?> outputBundle, InProcessPipelineRunner.UncommittedBundle<?>... outputBundles)`
`StepTransformResult.Builder` `addUnprocessedElements(Iterable<? extends com.google.cloud.dataflow.sdk.util.WindowedValue<?>> unprocessed)`
`StepTransformResult` `build()`
`StepTransformResult.Builder` `withAdditionalOutput(com.google.cloud.dataflow.sdk.runners.inprocess.CommittedResult.OutputType producedAdditionalOutput)`
`StepTransformResult.Builder` `withCounters(com.google.cloud.dataflow.sdk.util.common.CounterSet counters)`
`StepTransformResult.Builder` `withState(com.google.cloud.dataflow.sdk.util.state.CopyOnAccessInMemoryStateInternals<?> state)`
`StepTransformResult.Builder` `withTimerUpdate(InMemoryWatermarkManager.TimerUpdate timerUpdate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public StepTransformResult build()

#### withCounters

    public StepTransformResult.Builder withCounters(com.google.cloud.dataflow.sdk.util.common.CounterSet counters)

#### withState

    public StepTransformResult.Builder withState(com.google.cloud.dataflow.sdk.util.state.CopyOnAccessInMemoryStateInternals<?> state)

#### withTimerUpdate

    public StepTransformResult.Builder withTimerUpdate(InMemoryWatermarkManager.TimerUpdate timerUpdate)

#### addUnprocessedElements

    public StepTransformResult.Builder addUnprocessedElements(Iterable<? extends com.google.cloud.dataflow.sdk.util.WindowedValue<?>> unprocessed)

#### addOutput

    public StepTransformResult.Builder addOutput(InProcessPipelineRunner.UncommittedBundle<?> outputBundle,
                                                 InProcessPipelineRunner.UncommittedBundle<?>... outputBundles)

#### addOutput

    public StepTransformResult.Builder addOutput(Collection<InProcessPipelineRunner.UncommittedBundle<?>> outputBundles)

#### withAdditionalOutput

    public StepTransformResult.Builder withAdditionalOutput(com.google.cloud.dataflow.sdk.runners.inprocess.CommittedResult.OutputType producedAdditionalOutput)